Index: RawSpeed/RawImage.h
===================================================================
--- RawSpeed/RawImage.h	(revision 351)
+++ RawSpeed/RawImage.h	(working copy)
@@ -1,4 +1,6 @@
-#pragma once
+#ifndef RAW_IMAGE_H
+#define RAW_IMAGE_H
+
 #include "ColorFilterArray.h"
 #include "BlackArea.h"
 
@@ -155,3 +157,5 @@
 }
 
 } // namespace RawSpeed
+
+#endif
Index: RawSpeed/PefDecoder.h
===================================================================
--- RawSpeed/PefDecoder.h	(revision 351)
+++ RawSpeed/PefDecoder.h	(working copy)
@@ -1,4 +1,6 @@
-#pragma once
+#ifndef PEF_DECODER_H
+#define PEF_DECODER_H
+
 #include "RawDecoder.h"
 #include "TiffIFD.h"
 #include "PentaxDecompressor.h"
@@ -39,3 +41,5 @@
 };
 
 } // namespace RawSpeed
+
+#endif
Index: RawSpeed/NikonDecompressor.h
===================================================================
--- RawSpeed/NikonDecompressor.h	(revision 351)
+++ RawSpeed/NikonDecompressor.h	(working copy)
@@ -1,4 +1,6 @@
-#pragma once
+#ifndef NIKON_DECOMPRESSOR_H
+#define NIKON_DECOMPRESSOR_H
+
 #include "LJpegDecompressor.h"
 #include "BitPumpMSB.h"
 /* 
@@ -55,3 +57,5 @@
   7,6,8,5,9,4,10,3,11,12,2,0,1,13,14 } };
   
 } // namespace RawSpeed
+
+#endif
Index: RawSpeed/CameraMetadataException.h
===================================================================
--- RawSpeed/CameraMetadataException.h	(revision 351)
+++ RawSpeed/CameraMetadataException.h	(working copy)
@@ -19,8 +19,10 @@
 
     http://www.klauspost.com
 */
-#pragma once
+#ifndef CAMERA_METADATA_EXCEPTION_H
+#define CAMERA_METADATA_EXCEPTION_H
 
+
 namespace RawSpeed {
 
 void ThrowCME(const char* fmt, ...);
@@ -33,3 +35,5 @@
 };
 
 } // namespace RawSpeed
+
+#endif
Index: RawSpeed/TiffIFD.h
===================================================================
--- RawSpeed/TiffIFD.h	(revision 351)
+++ RawSpeed/TiffIFD.h	(working copy)
@@ -1,4 +1,6 @@
-#pragma once
+#ifndef TIFF_IFD_H
+#define TIFF_IFD_H
+
 #include "FileMap.h"
 #include "TiffEntry.h"
 #include "TiffParserException.h"
@@ -68,3 +70,5 @@
 }
 
 } // namespace RawSpeed
+
+#endif
Index: RawSpeed/TiffEntryBE.h
===================================================================
--- RawSpeed/TiffEntryBE.h	(revision 351)
+++ RawSpeed/TiffEntryBE.h	(working copy)
@@ -1,4 +1,6 @@
-#pragma once
+#ifndef TIFF_ENTRY_BE_H
+#define TIFF_ENTRY_BE_H
+
 #include "TiffEntry.h"
 
 /* 
@@ -41,3 +43,5 @@
 };
 
 } // namespace RawSpeed
+
+#endif
Index: RawSpeed/TiffIFDBE.h
===================================================================
--- RawSpeed/TiffIFDBE.h	(revision 351)
+++ RawSpeed/TiffIFDBE.h	(working copy)
@@ -1,4 +1,6 @@
-#pragma once
+#ifndef TIFF_IFDBE_H
+#define TIFF_IFDBE_H
+
 #include "TiffIFD.h"
 /* 
     RawSpeed - RAW file decoder.
@@ -34,3 +36,5 @@
 };
 
 } // namespace RawSpeed
+
+#endif
Index: RawSpeed/PentaxDecompressor.h
===================================================================
--- RawSpeed/PentaxDecompressor.h	(revision 351)
+++ RawSpeed/PentaxDecompressor.h	(working copy)
@@ -1,4 +1,6 @@
-#pragma once
+#ifndef PENTAX_DECOMPRESSOR_H
+#define PENTAX_DECOMPRESSOR_H
+
 #include "LJpegDecompressor.h"
 #include "BitPumpMSB.h"
 #include "TiffIFD.h"
@@ -39,3 +41,5 @@
 };
 
 } // namespace RawSpeed
+
+#endif
Index: RawSpeed/LJpegPlain.h
===================================================================
--- RawSpeed/LJpegPlain.h	(revision 351)
+++ RawSpeed/LJpegPlain.h	(working copy)
@@ -1,4 +1,6 @@
-#pragma once
+#ifndef LJPEG_PLAIN_H
+#define LJPEG_PLAIN_H
+
 #include "LJpegDecompressor.h"
 #include "BitPumpMSB.h"
 /* 
@@ -49,3 +51,5 @@
 };
 
 } // namespace RawSpeed
+
+#endif
Index: RawSpeed/Camera.h
===================================================================
--- RawSpeed/Camera.h	(revision 351)
+++ RawSpeed/Camera.h	(working copy)
@@ -1,4 +1,6 @@
-#pragma once
+#ifndef CAMERA_H
+#define CAMERA_H
+
 #include "ColorFilterArray.h"
 #include <libxml/parser.h>
 #include "BlackArea.h"
@@ -58,3 +60,5 @@
 };
 
 } // namespace RawSpeed
+
+#endif
Index: RawSpeed/Rw2Decoder.h
===================================================================
--- RawSpeed/Rw2Decoder.h	(revision 351)
+++ RawSpeed/Rw2Decoder.h	(working copy)
@@ -1,4 +1,6 @@
-#pragma once
+#ifndef RW2_DECODER_H
+#define RW2_DECODER_H
+
 #include "RawDecoder.h"
 #include "TiffIFD.h"
 #include "BitPumpPlain.h"
@@ -60,3 +62,5 @@
 };
 
 } // namespace RawSpeed
+
+#endif
Index: RawSpeed/SrwDecoder.h
===================================================================
--- RawSpeed/SrwDecoder.h	(revision 351)
+++ RawSpeed/SrwDecoder.h	(working copy)
@@ -1,4 +1,6 @@
-#pragma once
+#ifndef SRW_DECODER_H
+#define SRW_DECODER_H
+
 #include "RawDecoder.h"
 #include "LJpegPlain.h"
 #include "TiffIFD.h"
@@ -42,3 +44,5 @@
 };
 
 } // namespace RawSpeed
+
+#endif
Index: RawSpeed/FileReader.h
===================================================================
--- RawSpeed/FileReader.h	(revision 351)
+++ RawSpeed/FileReader.h	(working copy)
@@ -19,7 +19,9 @@
 
     http://www.klauspost.com
 */
-#pragma once
+#ifndef FILE_READER_H
+#define FILE_READER_H
+
 #include "FileIOException.h"
 #include "FileMap.h"
 
@@ -39,3 +41,5 @@
 };
 
 } // namespace RawSpeed
+
+#endif
Index: RawSpeed/TiffParser.h
===================================================================
--- RawSpeed/TiffParser.h	(revision 351)
+++ RawSpeed/TiffParser.h	(working copy)
@@ -20,7 +20,9 @@
     http://www.klauspost.com
 */
 
-#pragma once
+#ifndef TIFF_PARSER_H
+#define TIFF_PARSER_H
+
 #include "FileMap.h"
 #include "TiffIFD.h"
 #include "TiffIFDBE.h"
@@ -55,3 +57,5 @@
 };
 
 } // namespace RawSpeed
+
+#endif
Index: RawSpeed/ByteStreamSwap.h
===================================================================
--- RawSpeed/ByteStreamSwap.h	(revision 351)
+++ RawSpeed/ByteStreamSwap.h	(working copy)
@@ -1,4 +1,6 @@
-#pragma once
+#ifndef BYTE_STREAM_SWAP_H
+#define BYTE_STREAM_SWAP_H
+
 #include "ByteStream.h"
 
 #include "IOException.h"
@@ -17,3 +19,5 @@
 };
 
 } // namespace RawSpeed
+
+#endif
Index: RawSpeed/Cr2Decoder.h
===================================================================
--- RawSpeed/Cr2Decoder.h	(revision 351)
+++ RawSpeed/Cr2Decoder.h	(working copy)
@@ -1,4 +1,6 @@
-#pragma once
+#ifndef CR2_DECODER_H
+#define CR2_DECODER_H
+
 #include "RawDecoder.h"
 #include "LJpegPlain.h"
 #include "TiffIFD.h"
@@ -55,4 +57,5 @@
   uint32 count;
 };
 
-} // namespace RawSpeed
\ No newline at end of file
+} // namespace RawSpeed
+#endif
Index: RawSpeed/BitPumpMSB.h
===================================================================
--- RawSpeed/BitPumpMSB.h	(revision 351)
+++ RawSpeed/BitPumpMSB.h	(working copy)
@@ -19,7 +19,9 @@
 
     http://www.klauspost.com
 */
-#pragma once
+#ifndef BIT_PUMP_MSB_H
+#define BIT_PUMP_MSB_H
+
 #include "ByteStream.h"
 
 #define BITS_PER_LONG (8*sizeof(uint32))
@@ -152,3 +154,5 @@
 };
 
 } // namespace RawSpeed
+
+#endif
Index: RawSpeed/CameraMetaData.h
===================================================================
--- RawSpeed/CameraMetaData.h	(revision 351)
+++ RawSpeed/CameraMetaData.h	(working copy)
@@ -1,4 +1,6 @@
-#pragma once
+#ifndef CAMERA_META_DATA_H
+#define CAMERA_META_DATA_H
+
 #include <libxml/xmlmemory.h>
 #include <libxml/parser.h>
 #include <libxml/xmlschemas.h>
@@ -41,3 +43,5 @@
 };
 
 } // namespace RawSpeed
+
+#endif
Index: RawSpeed/NefDecoder.h
===================================================================
--- RawSpeed/NefDecoder.h	(revision 351)
+++ RawSpeed/NefDecoder.h	(working copy)
@@ -1,4 +1,6 @@
-#pragma once
+#ifndef NEF_DECODER_H
+#define NEF_DECODER_H
+
 #include "RawDecoder.h"
 #include "LJpegPlain.h"
 #include "TiffIFD.h"
@@ -55,4 +57,5 @@
   uint32 count;
 };
 
-} // namespace RawSpeed
\ No newline at end of file
+} // namespace RawSpeed
+#endif
Index: RawSpeed/BitPumpPlain.h
===================================================================
--- RawSpeed/BitPumpPlain.h	(revision 351)
+++ RawSpeed/BitPumpPlain.h	(working copy)
@@ -19,7 +19,9 @@
 
     http://www.klauspost.com
 */
-#pragma once
+#ifndef BIT_PUMP_PLAIN_H
+#define BIT_PUMP_PLAIN_H
+
 #include "ByteStream.h"
 
 namespace RawSpeed {
@@ -54,3 +56,5 @@
 };
 
 } // namespace RawSpeed
+
+#endif
Index: RawSpeed/TiffParserHeaderless.h
===================================================================
--- RawSpeed/TiffParserHeaderless.h	(revision 351)
+++ RawSpeed/TiffParserHeaderless.h	(working copy)
@@ -1,4 +1,6 @@
-#pragma once
+#ifndef TIFF_PARSER_HEADERLESS_H
+#define TIFF_PARSER_HEADERLESS_H
+
 #include "TiffParser.h"
 /* 
     RawSpeed - RAW file decoder.
@@ -35,3 +37,5 @@
 };
 
 } // namespace RawSpeed
+
+#endif
Index: RawSpeed/BlackArea.h
===================================================================
--- RawSpeed/BlackArea.h	(revision 351)
+++ RawSpeed/BlackArea.h	(working copy)
@@ -1,4 +1,6 @@
-#pragma once
+#ifndef BLACK_AREA_H
+#define BLACK_AREA_H
+
 /* 
     RawSpeed - RAW file decoder.
 
@@ -33,3 +35,5 @@
 };
 
 } // namespace RawSpeed
+
+#endif
Index: RawSpeed/TiffEntry.h
===================================================================
--- RawSpeed/TiffEntry.h	(revision 351)
+++ RawSpeed/TiffEntry.h	(working copy)
@@ -1,4 +1,6 @@
-#pragma once
+#ifndef TIFF_ENTRY_H
+#define TIFF_ENTRY_H
+
 #include "TiffParserException.h"
 #include "FileMap.h"
 
@@ -92,3 +94,5 @@
 };
 
 } // namespace RawSpeed
+
+#endif
Index: RawSpeed/FileMap.h
===================================================================
--- RawSpeed/FileMap.h	(revision 351)
+++ RawSpeed/FileMap.h	(working copy)
@@ -1,4 +1,6 @@
-#pragma once
+#ifndef FILE_MAP_H
+#define FILE_MAP_H
+
 #include "FileIOException.h"
 /* 
     RawSpeed - RAW file decoder.
@@ -55,3 +57,5 @@
 };
 
 } // namespace RawSpeed
+
+#endif
Index: RawSpeed/ArwDecoder.h
===================================================================
--- RawSpeed/ArwDecoder.h	(revision 351)
+++ RawSpeed/ArwDecoder.h	(working copy)
@@ -19,7 +19,9 @@
 
     http://www.klauspost.com
 */
-#pragma once
+#ifndef ARW_DECODER_H
+#define ARW_DECODER_H
+
 #include "RawDecoder.h"
 #include "LJpegPlain.h"
 #include "TiffIFD.h"
@@ -46,3 +48,5 @@
 };
 
 } // namespace RawSpeed
+
+#endif
Index: RawSpeed/ByteStream.h
===================================================================
--- RawSpeed/ByteStream.h	(revision 351)
+++ RawSpeed/ByteStream.h	(working copy)
@@ -19,7 +19,9 @@
 
     http://www.klauspost.com
 */
-#pragma once
+#ifndef BYTE_STREAM_H
+#define BYTE_STREAM_H
+
 #include "IOException.h"
 
 namespace RawSpeed {
@@ -48,3 +50,5 @@
 };
 
 } // namespace RawSpeed
+
+#endif
Index: RawSpeed/ColorFilterArray.h
===================================================================
--- RawSpeed/ColorFilterArray.h	(revision 351)
+++ RawSpeed/ColorFilterArray.h	(working copy)
@@ -1,4 +1,6 @@
-#pragma once
+#ifndef COLOR_FILTER_ARRAY_H
+#define COLOR_FILTER_ARRAY_H
+
 #include "RawDecoderException.h"
 /* 
     RawSpeed - RAW file decoder.
@@ -66,3 +68,5 @@
 };
 
 } // namespace RawSpeed
+
+#endif
Index: RawSpeed/TiffParserException.h
===================================================================
--- RawSpeed/TiffParserException.h	(revision 351)
+++ RawSpeed/TiffParserException.h	(working copy)
@@ -19,8 +19,10 @@
 
     http://www.klauspost.com
 */
-#pragma once
+#ifndef TIFF_PARSER_EXCEPTION_H
+#define TIFF_PARSER_EXCEPTION_H
 
+
 namespace RawSpeed {
 
 void ThrowTPE(const char* fmt, ...);
@@ -32,3 +34,5 @@
 };
 
 } // namespace RawSpeed
+
+#endif
Index: RawSpeed/BitPumpJPEG.h
===================================================================
--- RawSpeed/BitPumpJPEG.h	(revision 351)
+++ RawSpeed/BitPumpJPEG.h	(working copy)
@@ -19,7 +19,9 @@
 
     http://www.klauspost.com
 */
-#pragma once
+#ifndef BIT_PUMP_JPEG_H
+#define BIT_PUMP_JPEG_H
+
 #include "ByteStream.h"
 #include "IOException.h"
 
@@ -117,3 +119,5 @@
 };
 
 } // namespace RawSpeed
+
+#endif
Index: RawSpeed/Common.h
===================================================================
--- RawSpeed/Common.h	(revision 351)
+++ RawSpeed/Common.h	(working copy)
@@ -19,8 +19,10 @@
 
     http://www.klauspost.com
 */
-#pragma once
+#ifndef COMMON_H
+#define COMMON_H
 
+
 #if !defined(__unix__) && !defined(__MINGW32__)
 #include <intrin.h>
 #pragma intrinsic(_ReturnAddress)
@@ -135,3 +137,5 @@
 
 
 } // namespace RawSpeed
+
+#endif
Index: RawSpeed/RawDecoderException.h
===================================================================
--- RawSpeed/RawDecoderException.h	(revision 351)
+++ RawSpeed/RawDecoderException.h	(working copy)
@@ -1,4 +1,6 @@
-#pragma once
+#ifndef RAW_DECODER_EXCEPTION_H
+#define RAW_DECODER_EXCEPTION_H
+
 /* 
     RawSpeed - RAW file decoder.
 
@@ -34,3 +36,5 @@
 };
 
 } // namespace RawSpeed
+
+#endif
Index: RawSpeed/DngDecoder.h
===================================================================
--- RawSpeed/DngDecoder.h	(revision 351)
+++ RawSpeed/DngDecoder.h	(working copy)
@@ -1,4 +1,6 @@
-#pragma once
+#ifndef DNG_DECODER_H
+#define DNG_DECODER_H
+
 #include "LJpegPlain.h"
 #include "TiffIFD.h"
 #include "DngDecoderSlices.h"
@@ -55,3 +57,5 @@
 };
 
 } // namespace RawSpeed
+
+#endif
Index: RawSpeed/TiffParserOlympus.h
===================================================================
--- RawSpeed/TiffParserOlympus.h	(revision 351)
+++ RawSpeed/TiffParserOlympus.h	(working copy)
@@ -1,4 +1,6 @@
-#pragma once
+#ifndef TIFF_PARSER_OLYMPUS_H
+#define TIFF_PARSER_OLYMPUS_H
+
 #include "TiffParser.h"
 /* 
     RawSpeed - RAW file decoder.
@@ -34,3 +36,5 @@
 };
 
 } // namespace RawSpeed
+
+#endif
Index: RawSpeed/DngDecoderSlices.h
===================================================================
--- RawSpeed/DngDecoderSlices.h	(revision 351)
+++ RawSpeed/DngDecoderSlices.h	(working copy)
@@ -1,4 +1,6 @@
-#pragma once
+#ifndef DNG_DECODER_SLICES_H
+#define DNG_DECODER_SLICES_H
+
 #include "RawDecoder.h"
 #include <queue>
 #include "LJpegPlain.h"
@@ -72,3 +74,5 @@
 };
 
 } // namespace RawSpeed
+
+#endif
Index: RawSpeed/OrfDecoder.h
===================================================================
--- RawSpeed/OrfDecoder.h	(revision 351)
+++ RawSpeed/OrfDecoder.h	(working copy)
@@ -1,4 +1,6 @@
-#pragma once
+#ifndef ORF_DECODER_H
+#define ORF_DECODER_H
+
 #include "RawDecoder.h"
 #include "LJpegPlain.h"
 #include "TiffIFD.h"
@@ -43,3 +45,5 @@
 };
 
 } // namespace RawSpeed
+
+#endif
Index: RawSpeed/RawDecoder.h
===================================================================
--- RawSpeed/RawDecoder.h	(revision 351)
+++ RawSpeed/RawDecoder.h	(working copy)
@@ -1,4 +1,6 @@
-#pragma once
+#ifndef RAW_DECODER_H
+#define RAW_DECODER_H
+
 #include "RawDecoderException.h"
 #include "FileMap.h"
 #include "BitPumpJPEG.h" // Includes bytestream
@@ -152,3 +154,5 @@
 };
 
 } // namespace RawSpeed
+
+#endif
Index: RawSpeed/IOException.h
===================================================================
--- RawSpeed/IOException.h	(revision 351)
+++ RawSpeed/IOException.h	(working copy)
@@ -21,8 +21,10 @@
 
     http://www.klauspost.com
 */
-#pragma once
+#ifndef IOEXCEPTION_H
+#define IOEXCEPTION_H
 
+
 namespace RawSpeed {
 
 void ThrowIOE(const char* fmt, ...);
@@ -36,3 +38,5 @@
 };
 
 } // namespace RawSpeed
+
+#endif
Index: RawSpeed/FileIOException.h
===================================================================
--- RawSpeed/FileIOException.h	(revision 351)
+++ RawSpeed/FileIOException.h	(working copy)
@@ -21,8 +21,10 @@
 
     http://www.klauspost.com
 */
-#pragma once
+#ifndef FILE_IOEXCEPTION_H
+#define FILE_IOEXCEPTION_H
 
+
 namespace RawSpeed {
 
 void ThrowFIE(const char* fmt, ...);
@@ -34,3 +36,5 @@
 };
 
 } // namespace RawSpeed
+
+#endif
Index: RawSpeed/LJpegDecompressor.h
===================================================================
--- RawSpeed/LJpegDecompressor.h	(revision 351)
+++ RawSpeed/LJpegDecompressor.h	(working copy)
@@ -1,4 +1,6 @@
-#pragma once
+#ifndef LJPEG_DECOMPRESSOR_H
+#define LJPEG_DECOMPRESSOR_H
+
 #include "RawDecoder.h"
 #include "BitPumpMSB.h"
 /* 
@@ -194,3 +196,5 @@
 };
 
 } // namespace RawSpeed
+
+#endif
Index: RawSpeed/BitPumpMSB32.h
===================================================================
--- RawSpeed/BitPumpMSB32.h	(revision 351)
+++ RawSpeed/BitPumpMSB32.h	(working copy)
@@ -19,7 +19,9 @@
 
     http://www.klauspost.com
 */
-#pragma once
+#ifndef BIT_PUMP_MSB32_H
+#define BIT_PUMP_MSB32_H
+
 #include "ByteStream.h"
 
 #ifdef MIN_GET_BITS
@@ -74,3 +76,5 @@
 };
 
 } // namespace RawSpeed
+
+#endif
